#home{
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    min-height: 100vh;
    padding: 20px;
}

#home-content{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    text-align: center;
    gap: 20px;
    max-width: 1200px;
}

#home-content h2{
    font-size: 50px;
    font-weight: 900;
}

#home-content hr{
    width: 100%;
    max-width: 100px;
    border: 4px solid #000000;
}

#home-content p{
    max-width: 700px;
    font-size: 20px;
}


#home-content-links a:nth-child(1){
    padding: 10px 30px;
    font-size: 16px;
    border: 2px solid #000000;
    text-decoration: none;
    color: #000000;
    font-weight: 500;
    display: inline-block;
    position: relative;
    margin: 5px;
    transition: 0.5s ease;
}

#home-content-links a:nth-child(1):hover{
    color: white;
}

#home-content-links a:nth-child(1)::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    transform-origin: center right;
    transform: scaleX(0);
    background-color: #000000;
    z-index: -10;
    transition: transform 0.5s ease;
}

#home-content-links a:nth-child(1):hover::before{
    transform-origin: center left;
    transform: scaleX(1);
}


#home-content-links a:nth-child(2){
    padding: 10px 30px;
    font-size: 16px;
    border: 2px solid #000000;
    text-decoration: none;
    color: #ffffff;
    font-weight: 500;
    display: inline-block;
    position: relative;
    margin: 5px;
    transition: 0.5s ease;
}

#home-content-links a:nth-child(2):hover{
    color: #000000;
}

#home-content-links a:nth-child(2)::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    transform-origin: center left;
    transform: scaleX(1);
    background-color: #000000;
    z-index: -10;
    transition: transform 0.5s ease;
}

#home-content-links a:nth-child(2):hover::before{
    transform-origin: center right;
    transform: scaleX(0);
}

#home-arrow{
    position: absolute;
    bottom: 40px;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 50px;
    animation: homeArrow 3s ease infinite;
}

@keyframes homeArrow {
    0%{
        transform: translateY(0);
    }
    50%{
        transform: translateY(-20px);
    }
    100%{
        transform: translateY(0);
    }
}

#home-bg{
    position: fixed;
    z-index: -1000000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#home-bg::before{
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 300px;
    background: linear-gradient(0deg, #ffffff00, #ffffffdd);
}

#home-bg img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}












#welcome{
    background-color: #f5f5f5;
    position: relative;
    padding: 100px clamp(20px, 10%, 10%);
}

#welcome-header h2{
    font-size: 45px;
    max-width: 900px;
}

#welcome-header h2 b{
    color: #00000080;
}

#welcome-header hr{
    width: 100%;
    max-width: 100px;
    border: 4px solid #000000;
    margin-bottom: 30px;
}

#welcome-list{
    display: grid;
    grid-template-columns: repeat(5,1fr);
    gap: 30px;
    margin-top: 100px;
    text-decoration: none;
}

.welcome-item{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 20px;
    text-align: center;
}

.welcome-item i{
    font-size: 50px;
}












#who{
    background-color: #f0f0f0;
    position: relative;
    padding: 100px clamp(20px, 10%, 10%);
    text-align: center;
}

#who-content{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 30px;
    text-align: left;
}

#who-content h2{
    font-size: 45px;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
}

#who-content p{
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    max-width: 600px;
    margin-left: auto;
}

#who img{
    max-width: 1200px;
    width: 100%;
    margin-top: 100px;
}












#clients{
    background-color: #f5f5f5;
    display: grid;
    grid-template-columns: repeat(4,1fr);
    width: 100%;
}

.clients-item{
    aspect-ratio: 1/1;
    position: relative;
    display: block;
    overflow: hidden;
}


.clients-item img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transform: scale(1.2);
    transition: 1s cubic-bezier(0.19, 1, 0.22, 1);
}

.clients-item:hover img{
    transform: scale(1);
    filter: brightness(0.25);
}

.clients-item span{
    width: 100%;
    height: 100%;
    position: absolute;
    padding: 40px;
    text-align: center;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 20px;
    color: white;
    transform: scale(0.8);
    opacity: 0;
    transition: 1s cubic-bezier(0.19, 1, 0.22, 1);
}

.clients-item:hover span{
    transform: scale(1);
    opacity: 1;
}

.clients-item span h3{
    font-size: 30px;
}












#info{
    background-color: #f0f0f0;
    position: relative;
    padding: 100px clamp(20px, 10%, 10%);
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 30px;
}

#info-content{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column;
    gap: 10px;
}

#info-content hr{
    width: 100%;
    max-width: 100px;
    border: 4px solid #000000;
    margin-bottom: 30px;
}

#info-content h2{
    font-size: 45px;
    max-width: 900px;
}

#info-content h2 b{
    color: #00000080;
}

#info-content p{
    max-width: 500px;
}

#info-image{
    display: flex;
    justify-content: center;
    align-items: center;
}

#info-image img{
    border-radius: 30px;
    width: 100%;
}









#team{
    position: relative;
    width: 100%;
}

#team-content{
    width: 50%;
    height: 100%;
    z-index: 10;
    background-color: #000000bb;
    color: white;
    display: flex;
    justify-content: flex-end;
    align-items: flex-start;
    flex-flow: column;
    gap: 20px;
    padding: clamp(20px, 10%, 60px);
    padding-top: 500px;
}

#team-content h2{
    font-size: 60px;
    font-weight: 300;
}

#team-content a{
    padding: 10px 30px;
    font-size: 16px;
    border: 2px solid #ffffff;
    text-decoration: none;
    color: #ffffff;
    font-weight: 500;
    display: inline-block;
    position: relative;
    z-index: 1;
    transition: 0.5s ease;
}

#team-content a:hover{
    color: rgb(0, 0, 0);
}

#team-content a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    transform-origin: center right;
    transform: scaleX(0);
    background-color: #ffffff;
    z-index: -10;
    transition: transform 0.5s ease;
}

#team-content a:hover::before{
    transform-origin: center left;
    transform: scaleX(1);
}

#team-img{
    position: absolute;
    background-color: white;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

#team-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}














#why{
    background-color: #000000;
    color: #ffffff;
    position: relative;
    padding: 100px clamp(20px, 10%, 10%);
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 30px;
}

#why-content{
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column;
    gap: 20px;
}

#why-content hr{
    width: 100%;
    max-width: 100px;
    border: 4px solid #ffffff;
    margin-bottom: 30px;
}

#why-content h2{
    font-size: 45px;
}

#why-content h2 b{
    color: #ffffff;
    font-weight: 900;
}

#why-content p{
    max-width: 600px;
}

#why-list{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px;
}

#why-list span{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-flow: column;
    gap: 10px;
    text-align: center;
}

#why-list span i{
    font-size: 50px;
}


















@media screen and (max-width: 1000px) {
    #clients{
        grid-template-columns: repeat(2,1fr);
    }
}

@media screen and (max-width: 900px) {
    #welcome-list{
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
    }

    #who-content{
        grid-template-columns: repeat(1,1fr);
    }
    #who-content p{
        margin-left: 0;
    }
    #who img{
        margin-top: 50px;
    }

    #info{
        grid-template-columns: repeat(1,1fr);
    }

    #why{
        grid-template-columns: repeat(1,1fr);
        gap: 60px;
    }

    #team{
        min-height: 80vh;
    }
    #team-content{
        width: 100%;
        padding-top: 50px;
    }
}

@media screen and (max-width: 560px) {
    #home-content h2{
        font-size: 40px;
    }
    #clients{
        grid-template-columns: repeat(1,1fr);
    }
    #why-list{
        grid-template-columns: repeat(2,1fr);
    }

    #team-content h2{
        font-size: 45px;
    }
}

@media screen and (max-width: 420px) {
    #why-list{
        grid-template-columns: repeat(1,1fr);
        gap: 50px;
    }
    #home-content h2{
        font-size: 35px;
    }
}
























#home-content h2{
    transform: translateY(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.2s;
}

#home-content hr{
    transform: translateY(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.4s;
}

#home-content p{
    transform: translateY(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.6s;
}

#home-content-links{
    transform: translateY(50px);
    opacity: 0;
    animation: homeAnim 0.5s ease forwards 2.8s;
}

#home-arrow{
    opacity: 0;
    animation: homeAnimArrow 0.5s ease forwards 3s;
}

@keyframes homeAnimArrow{
    from{ }
    to{ opacity: 1; }
}

@keyframes homeAnim{
    from{ }
    to{ transform: translateY(0); opacity: 1; }
}

#welcome-header.animate{
    transform: translateX(-70px);
    opacity: 0;
}
.welcome-item:nth-child(1){ transition-delay: 0.1s; }
.welcome-item:nth-child(2){ transition-delay: 0.2s; }
.welcome-item:nth-child(3){ transition-delay: 0.3s; }
.welcome-item:nth-child(4){ transition-delay: 0.4s; }
.welcome-item:nth-child(5){ transition-delay: 0.5s; }
.welcome-item.animate{
    transform: translateX(-70px);
    opacity: 0;
}


#who-content h2.animate{
    transform: translateX(-70px);
    opacity: 0;
}
#who-content p.animate{
    transform: translateX(70px);
    opacity: 0;
}
#who img.animate{
    transform: translateY(70px);
    opacity: 0;
}


.clients-item:nth-child(1){ transition-delay: 0.1s; }
.clients-item:nth-child(2){ transition-delay: 0.2s; }
.clients-item:nth-child(3){ transition-delay: 0.3s; }
.clients-item:nth-child(4){ transition-delay: 0.4s; }
.clients-item:nth-child(5){ transition-delay: 0.5s; }
.clients-item:nth-child(6){ transition-delay: 0.6s; }
.clients-item:nth-child(7){ transition-delay: 0.7s; }
.clients-item:nth-child(8){ transition-delay: 0.8s; }
.clients-item.animate{
    transform: scale(0.9);
    opacity: 0;
}


#info-content.animate{
    transform: translateX(-70px);
    opacity: 0;
}
#info-image.animate{
    transform: translateX(70px);
    opacity: 0;
}


#why-content.animate{
    transform: translateX(-70px);
    opacity: 0;
}
#why-list span:nth-child(1){ transition-delay: 0.1s; }
#why-list span:nth-child(2){ transition-delay: 0.2s; }
#why-list span:nth-child(3){ transition-delay: 0.3s; }
#why-list span:nth-child(4){ transition-delay: 0.4s; }
#why-list span:nth-child(5){ transition-delay: 0.5s; }
#why-list span:nth-child(6){ transition-delay: 0.6s; }
#why-list span.animate{
    transform: translateX(70px);
    opacity: 0;
}


#team-content.animate{
    transform: translateX(-70px);
    opacity: 0;
}